Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ensembl.compara.driver
Interface GenomeDBAdaptor

All Superinterfaces:
  Adaptor, java.rmi.Remote

public interface GenomeDBAdaptor
extends Adaptor

I am a part of the compara analysis

Field Summary
`static java.lang.String` | `TYPE`

Method Summary
`java.util.List` | `fetch()`
`GenomeDB` | `fetch(long internalId)`
`GenomeDB` | `fetch(java.lang.String speciesName)`
`GenomeDB` | `fetch(java.lang.String speciesName, java.lang.String assembly)`
`boolean` | `firstArgumentIsKnownConsensusAndSecondIsKnowQuery(GenomeDB consensusDB, GenomeDB queryDB)`
`int` | `store(GenomeDB genomeDB)`

Methods inherited from interface org.ensembl.driver.Adaptor
`clearCache, closeAllConnections, getType`

Field Detail

### TYPE

    public static final java.lang.String TYPE

See Also:
  Constant Field Values

Method Detail

### fetch

    public java.util.List fetch()
                         throws AdaptorException

  Throws:
    `AdaptorException`

### fetch

    public GenomeDB fetch(java.lang.String speciesName,
                          java.lang.String assembly)
                   throws AdaptorException

  Throws:
    `AdaptorException`

### fetch

    public GenomeDB fetch(long internalId)
                   throws AdaptorException

  Throws:
    `AdaptorException`

### firstArgumentIsKnownConsensusAndSecondIsKnowQuery

    public boolean firstArgumentIsKnownConsensusAndSecondIsKnowQuery(GenomeDB consensusDB,
                                                                     GenomeDB queryDB)

### store

    public int store(GenomeDB genomeDB)
              throws AdaptorException

  Throws:
    `AdaptorException`

### fetch

    public GenomeDB fetch(java.lang.String speciesName)
                   throws AdaptorException

  Throws:
    `AdaptorException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD